summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dugan Chen2011-09-09 22:18:10 +0200
committer Niels Horn2011-09-22 00:48:31 +0200
commit361ae7d4d44f92f6527cc1dceae9258e6e239438 (patch)
treece9821ac5bf64b953dba2d3425c9c7da5b095baf /desktop
parent1053c532867088d6d7de304739f53fc73d67ff2b (diff)
downloadslackbuilds-361ae7d4d44f92f6527cc1dceae9258e6e239438.tar.gz
desktop/compiz-boxmenu: Added (fork of compiz-deskmenu)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/compiz-boxmenu/README20
-rw-r--r--desktop/compiz-boxmenu/compiz-boxmenu.SlackBuild73
-rw-r--r--desktop/compiz-boxmenu/compiz-boxmenu.info10
-rw-r--r--desktop/compiz-boxmenu/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/desktop/compiz-boxmenu/README b/desktop/compiz-boxmenu/README
new file mode 100644
index 0000000000..7e54166c6c
--- /dev/null
+++ b/desktop/compiz-boxmenu/README
@@ -0,0 +1,20 @@
+Compiz Boxmenu is a desktop menu for Compiz. It introduces extensive icon
+support, pipeitems, recent document lists, and more!
+
+Requires lxml and pyxdg.
+
+After installation, please do the following to set it up:
+
+1. Create a user-level copies of the configuration file
+
+mkdir -p ~/.config/compiz/boxmenu
+cp /etc/xdg/compiz/boxmenu/menu.xml ~/.config/compiz/boxmenu/menu.xml
+
+2. In the Compiz Settings Manager's "commands" plugin, set "Command line 0" to
+run "compiz-boxmenu". Set its hotkey to <CONTROL>space.
+
+3. In the Compiz Settings Manager's, "Viewport Switcher" plugin, navigate to
+the "Desktop-based Viewport Switching" tab. There, set "Plugin for initiate
+action" to "commands" (not "core", "commands") and "Action name for initiate"
+to "run_command0_key".
+
diff --git a/desktop/compiz-boxmenu/compiz-boxmenu.SlackBuild b/desktop/compiz-boxmenu/compiz-boxmenu.SlackBuild
new file mode 100644
index 0000000000..8252491101
--- /dev/null
+++ b/desktop/compiz-boxmenu/compiz-boxmenu.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for compiz-boxmenu
+
+# Written by Dugan Chen (dugan [underscore] c [at] fastmail [dot] fm)
+
+PRGNAM=compiz-boxmenu
+VERSION=${VERSION:-1.0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM\_-_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/compiz-boxmenu/compiz-boxmenu.info b/desktop/compiz-boxmenu/compiz-boxmenu.info
new file mode 100644
index 0000000000..252dd9de09
--- /dev/null
+++ b/desktop/compiz-boxmenu/compiz-boxmenu.info
@@ -0,0 +1,10 @@
+PRGNAM="compiz-boxmenu"
+VERSION="1.0.8"
+HOMEPAGE="http://sourceforge.net/projects/compizboxmenu/"
+DOWNLOAD="http://downloads.sourceforge.net/project/compizboxmenu/source%20snapshots/compiz-boxmenu_-_1.0.8.tar.gz"
+MD5SUM="8adad835310c276d9efaa2bbc25278f6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="dugan [underscore] c [at] fastmail [dot] fm"
+APPROVED="dsomero"
diff --git a/desktop/compiz-boxmenu/slack-desc b/desktop/compiz-boxmenu/slack-desc
new file mode 100644
index 0000000000..b877137a0a
--- /dev/null
+++ b/desktop/compiz-boxmenu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+compiz-boxmenu: compiz-boxmenu (fork of compiz-deskmenu)
+compiz-boxmenu:
+compiz-boxmenu: A desktop menu for Compiz, forked from compiz-deskmenu by crdlib.
+compiz-boxmenu: Introduces extensive icon support, pipeitems, recent document list,
+compiz-boxmenu: and more!
+compiz-boxmenu:
+compiz-boxmenu: http://sourceforge.net/projects/compizboxmenu/
+compiz-boxmenu:
+compiz-boxmenu:
+compiz-boxmenu:
+compiz-boxmenu: